PRICE     :     Freeware

Custom Field Manager Requirements

Server

WordPress 3.0+

PHP 5+ (Recommended)

    X